Skungee - Skript proxy addon and Socket API 2.0.0-BETA-1

A Skript addon that allows for full control over your proxy.

  1. LimeGlass
    Native Minecraft Version:
    1.17
    Tested Minecraft Versions:
    • 1.8
    • 1.9
    • 1.10
    • 1.11
    • 1.12
    • 1.13
    • 1.14
    • 1.15
    • 1.16
    • 1.17
    Source Code:
    https://github.com/Skungee/Skungee-2.0.0
    Contributors:
    Dominic, Sashie, LuisaDraws, Jordan
    [​IMG]
    Artwork provided by LuisaDraws (https://luisadraws.com)

    Skungee is a proxy Skript addon that gives you full control over the entire proxy, it's that simple.

    Requirements:
    - Java 16+
    - Skript 2.6+

    Installation:

    1.) Place Skungee in your proxy plugins folder and restart proxy.
    2.) Install Skungee on every other server connected to this proxy that you want Skript support for, then restart those servers.
    3.) Configure the configuration found at plugins/Skungee to match the same port as the Skungee config found in the proxy plugin folder. The Host option in the configuration on the spigot servers should match the IP of your proxy (Excluding the ip port)

    Documentation hosted at Skripthub
    [​IMG]

    Code (Text):
    <dependency>
      <groupId>com.skungee</groupId>
      <artifactId>skungee</artifactId>
      <version>2.0.0-BETA-1</version>
    </dependency>
    Code (Text):
    repositories {
        maven {
            url 'https://maven.pkg.github.com/Skungee/Skungee-2.0.0/'
            credentials {
                username = "Skungee"
                password = System.getenv("GITHUB_PACKAGES_KEY")
            }
    }

    dependencies {
        // Skungee
        implementation (group: 'com.skungee', name: 'skungee', version: 'VERSION') {
            exclude group: 'com.sitrica', module: 'japson'
            transitive = false
        }
    }

    If you're struggling to install Skungee, feel free to reach out to us.​

    If you feel like donating to this free project you can do so by clicking the button below, much love.
    [​IMG]

Recent Updates

  1. 2.0.0 is finally here!
  2. 1.0.15
  3. 1.16

Recent Reviews

  1. CyberAlon
    CyberAlon
    5/5,
    Version: 1.0.15
    Great plugin! Tho, I can't find out how to use the "with reason" argument in "EffConnectServer". Any help would be appreciated :)
  2. Paxelo
    Paxelo
    1/5,
    Version: 1.0.15
    Its not working...
    Sending to other server not working
    Saving Variables not working...

    Only Skungee Beta 2.0.0 ALPHA-7 is ok.

    Version 1.15.2 (Tuninity/Spigot/PaperSpigot) and 1.16.4 (PaperSpigot) + Waterfall.
  3. Adam_YT101
    Adam_YT101
    3/5,
    Version: 1.0.13
    Add 1.8 support pls
    **********************************************************************
    1. LimeGlass
      Author's Response
      It does support 1.8
  4. d1m0a1n
    d1m0a1n
    2/5,
    Version: 1.0.13
    This plugin is extremely useful for handling cross-server stuff in a Bungee network, and it deserves 5 stars, but the latest version(s) simply don't work. I've made a bug report about this on Github, on other users have the same issue, but still no response in over a month. The version that does work has some big issues that make it very unreliable.
  5. mekEE
    mekEE
    4/5,
    Version: 1.0.13
    I haven't installed it yet, I put it in Bungeecord plugins folder, now how do I install it?
  6. 4you_YTB
    4you_YTB
    4/5,
    Version: 1.0.11
    Hey, in web syntax, you write : "EffServerInstancesCreate", but in my spigot script, i can't use this effect, please fix (:
    1. LimeGlass
      Author's Response
  7. Georgi_Murlev
    Georgi_Murlev
    4/5,
    Version: 1.0.11
    Really like this addon. But it's hard to figure the syntax by myself we need a proper tutorial from the creator or someone that knows how to use it! I use it for basic stuff like connecting to a survival server or pvp or my other games but I want to take a step further and make more BungeeCord helpful scripts. For example when someone joins pvp the people in the hub1 and hub2 server would be notified.
  8. YouHaveTrouble
    YouHaveTrouble
    3/5,
    Version: 1.0.11
    This desperately needs proper tutorial how to install and use, really hard to get it working with no clear instructions how it's supposed to work.
  9. ThePlan157
    ThePlan157
    1/5,
    Version: 1.0.11
    all of functions have one problem or dont work, this plugin is soo bad!!! im using why i need! GUYS, DONT USE THIS PL PLS
    1. LimeGlass
      Author's Response
  10. ItMaxCPwer12345
    ItMaxCPwer12345
    2/5,
    Version: 1.0.11
    How do you add a global skript? I've been trying for a day now, message me on discord if you can Skptical#6969